MPD: PollGroupWinSelect Class Reference

MPD 0.20.15

Data Structures | Public Member Functions | Static Public Attributes
PollGroupWinSelect Class Reference

`#include <PollGroupWinSelect.hxx>`

## Public Member Functions
| PollGroupWinSelect ()
| ~PollGroupWinSelect ()
void | ReadEvents (PollResultGeneric &result, int timeout_ms)
bool | Add (int fd, unsigned events, void *obj)
bool | Modify (int fd, unsigned events, void *obj)
bool | Remove (int fd)
bool | Abandon (int fd)

## Static Public Attributes
static constexpr unsigned | READ = 1
static constexpr unsigned | WRITE = 2
static constexpr unsigned | ERROR = 0
static constexpr unsigned | HANGUP = 0

## Detailed Description

Definition at line 78 of file PollGroupWinSelect.hxx.

## Constructor & Destructor Documentation

## ◆ PollGroupWinSelect()

PollGroupWinSelect::PollGroupWinSelect | ( |  | ) |

## ◆ ~PollGroupWinSelect()

PollGroupWinSelect::~PollGroupWinSelect | ( |  | ) |

## Member Function Documentation

## ◆ Abandon()

bool PollGroupWinSelect::Abandon | ( | int | fd | ) |
| inline

Definition at line 108 of file PollGroupWinSelect.hxx.

## ◆ Add()

bool PollGroupWinSelect::Add | ( | int | fd,
|  | unsigned | events,
|  | void * | obj
| ) |  |

## ◆ Modify()

bool PollGroupWinSelect::Modify | ( | int | fd,
|  | unsigned | events,
|  | void * | obj
| ) |  |

## ◆ ReadEvents()

void PollGroupWinSelect::ReadEvents | ( | PollResultGeneric & | result,
|  | int | timeout_ms
| ) |  |

## ◆ Remove()

bool PollGroupWinSelect::Remove | ( | int | fd | ) |

## Field Documentation

## ◆ ERROR

constexpr unsigned PollGroupWinSelect::ERROR = 0
| static

Definition at line 98 of file PollGroupWinSelect.hxx.

## ◆ HANGUP

constexpr unsigned PollGroupWinSelect::HANGUP = 0
| static

Definition at line 99 of file PollGroupWinSelect.hxx.

## ◆ READ

constexpr unsigned PollGroupWinSelect::READ = 1
| static

Definition at line 96 of file PollGroupWinSelect.hxx.

## ◆ WRITE

constexpr unsigned PollGroupWinSelect::WRITE = 2
| static

Definition at line 97 of file PollGroupWinSelect.hxx.

The documentation for this class was generated from the following file:

- event/PollGroupWinSelect.hxx